Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.codehaus.groovy.grails.plugins.metadata
[Java] Annotation Type GrailsPlugin

    java.lang.Object
      org.codehaus.groovy.grails.plugins.metadata.GrailsPlugin

    @Retention(RetentionPolicy.RUNTIME)
    @Target({ElementType.TYPE})
    public @interface GrailsPlugin

Annotation that appears on classes of a particular plugin

Authors:
  Graeme Rocher

Since:
  1.2

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Groovy Documentation